Package org.opensaml.security.credential.impl

# Class AbstractCredentialResolver

java.lang.Object
org.opensaml.security.credential.impl.AbstractCredentialResolver

All Implemented Interfaces:
  `Resolver<Credential,CriteriaSet>`, `CredentialResolver`

Direct Known Subclasses:
  `AbstractChainingCredentialResolver`, `AbstractCriteriaFilteringCredentialResolver`, `StaticCredentialResolver`

public abstract class AbstractCredentialResolver extends Object implements CredentialResolver
Abstract base class for `CredentialResolver` implementations.

## Constructor Summary

Constructors
Constructor
Description
`AbstractCredentialResolver()`

## Method Summary

Modifier and Type
Method
Description
`abstract Iterable<Credential>`
`resolve(CriteriaSet criteriaSet)`
`Credential`
`resolveSingle(CriteriaSet criteriaSet)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractCredentialResolver

public AbstractCredentialResolver()

## Method Details

### resolveSingle

@Nullable public Credential resolveSingle(@Nullable CriteriaSet criteriaSet) throws ResolverException

Specified by:
  `resolveSingle` in interface `Resolver<Credential,CriteriaSet>`
Throws:
  `ResolverException`

### resolve

@Nonnull public abstract Iterable<Credential> resolve(@Nullable CriteriaSet criteriaSet) throws ResolverException

Specified by:
  `resolve` in interface `Resolver<Credential,CriteriaSet>`
Throws:
  `ResolverException`